%define releasebase 1 
#Use as deafults if no command line inputs
%define as_limulus 1 
# allow --with[out] <feature> at rpm command line build
%{?_with_basement: %{expand: %%define as_basement 1}}
%{?_with_limulus: %{expand: %%define as_limulus 1}}
# If we are building for a gnu3 distro, we need
# convert all the -gnu4 refernces to -gnu3:
%if "1" == "%{as_basement}"
%define targetbase Basement 
%else
%if "1" == "%{as_limulus}"
%define targetbase Limulus
%endif
%endif

%define lbootstrapconf limulus.bootstrap.conf
%define bootstrap 5.8.5-1.el7.elrepo.x86_64
Summary:Warewulf Node Bootstrap
Version: 1
Name: wwbs%{bootstrap}
Group:  %{targetbase}/Admin
Release: %{releasebase}.%{targetbase}
License: Copyright 2020 Basement Supercomputing
Source: %{name}.tar
URL: www.basement-supercomputing.com
Distribution: CentOS 7.7
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Vendor: Basement Supercomputing
Packager: deadline@basement-supercomputing.com
%define ver %{PACKAGE_VERSION}-%{PACKAGE_RELEASE}
Requires: warewulf-provision-ohpc, warewulf-vnfs-ohpc
BuildRequires: warewulf-provision-ohpc, warewulf-vnfs-ohpc

%description
Bootstrap kernel for Warewulf
%prep 
%setup -n %{name}
%build
#mkdir -p %{name}-%{version}
#cd %{name}-%{version}
# Makes sure the Limulus it87 module rpm is installed before creating the bootstrap
# otherwise the module included with kernel will not work 
cat <<EOF> yes.in
yes
EOF
echo "++ create the bootstrap"
/bin/mv /etc/warewulf/bootstrap.conf /etc/warewulf/bootstrap.conf.rpmhold
/bin/cp  %{lbootstrapconf} /etc/warewulf/bootstrap.conf
wwbootstrap  %{bootstrap}  < yes.in
/bin/mv /etc/warewulf/bootstrap.conf.rpmhold /etc/warewulf/bootstrap.conf
# package the VNFS and Bootstrap
echo "++ packaging VNFS, Bootstrap, chroots"
wwsh  bootstrap export %{bootstrap}  . < yes.in
# done with bootstrap then delete
wwsh bootstrap delete %{bootstrap} < yes.in
rm yes.in

%install
#cd %{name}-%{version}
mkdir -p  %{buildroot}/var/warewulf/%{targetbase}/
/bin/cp %{bootstrap}.wwbs  %{buildroot}/var/warewulf/%{targetbase}/%{bootstrap}.wwbs

%post
wwsh bootstrap import /var/warewulf/%{targetbase}/%{bootstrap}.wwbs &> /dev/null

%postun
cat <<EOF> yes.in
yes
EOF
wwsh bootstrap  delete %{bootstrap} < yes.in &> /dev/null
/bin/rm yes.in
%clean
if [ $RPM_BUILD_ROOT != "/" ]; then
  rm -rf $RPM_BUILD_ROOT
fi

%files
#%defattr(-,root,root)
/var/warewulf/%{targetbase}/%{bootstrap}.wwbs


